Bug 97569 - Filesave as docx saves lists with bulgarian or serbian character numbering as simple digit numbering (see comment 12)
Summary: Filesave as docx saves lists with bulgarian or serbian character numbering as...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.2.0 target:7.1.3
Keywords: difficultyBeginner, easyHack, filter:docx, skillCpp
: 141558 (view as bug list)
Depends on:
Blocks: DOCX-Bullet-Number-Outline-Lists
  Show dependency treegraph
 
Reported: 2016-02-04 12:34 UTC by Jos van den Oever
Modified: 2021-04-11 10:54 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
numbering in LibreOffice before saving (21.56 KB, image/png)
2016-02-04 12:34 UTC, Jos van den Oever
Details
document with properly preserved numbering (12.55 KB, application/vnd.oasis.opendocument.text)
2016-02-04 12:35 UTC, Jos van den Oever
Details
same document as docx, which has lost the numbering (10.42 KB, application/zip)
2016-02-04 12:35 UTC, Jos van den Oever
Details
screenshot of loaded docx document (13.73 KB, image/png)
2016-02-04 12:36 UTC, Jos van den Oever
Details
Example file saved by current master (6.46 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2019-09-08 23:24 UTC, Gabor Kelemen (allotropia)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jos van den Oever 2016-02-04 12:34:52 UTC
Created attachment 122378 [details]
numbering in LibreOffice before saving

Loading a docx with a bulgarian numbered lists created in MS Office 2013 shows a list with decimals instead of bulgarian numbers.

Saving an odt with bulgarian, serbian, or russian numbering as .docx, loses the number style: when the document is loaded it shows no numbers.
Comment 1 Jos van den Oever 2016-02-04 12:35:22 UTC
Created attachment 122379 [details]
document with properly preserved numbering
Comment 2 Jos van den Oever 2016-02-04 12:35:54 UTC
Created attachment 122380 [details]
same document as docx, which has lost the numbering
Comment 3 Jos van den Oever 2016-02-04 12:36:58 UTC
Created attachment 122381 [details]
screenshot of loaded docx document
Comment 4 Buovjaga 2016-02-11 08:19:26 UTC
Repro.

Win 7 Pro 64-bit Version: 5.2.0.0.alpha0+
Build ID: a6f876d45bd4e41a7143594a6cb11b6893a0f620
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-02-11_00:07:38
Locale: fi-FI (fi_FI)

LibreOffice 3.5.0rc3 
Build ID: 7e68ba2-a744ebf-1f241b7-c506db1-7d53735
Comment 5 Telesto 2016-12-10 12:49:24 UTC
Repro with:
Version: 5.4.0.0.alpha0+
Build ID: b894104a0b02a9b074c76feb925389d7bee6a493
CPU Threads: 4; OS Version: Windows 6.19; UI Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-12-10_01:00:52
Locale: nl-NL (nl_NL); Calc: CL
Comment 6 QA Administrators 2018-06-26 02:42:24 UTC Comment hidden (obsolete)
Comment 7 Gabor Kelemen (allotropia) 2019-09-08 23:24:22 UTC
Created attachment 154030 [details]
Example file saved by current master

Still present in 

Verzió: 6.4.0.0.alpha0+
Build az.: 001f739f1bca7607b0f8cf5f0c7e500dea70db44
CPU szálak: 4; OS: Linux 4.15; Felületmegjelenítés: alapértelmezett; VCL: gtk3; 
Területi beállítások: hu-HU (hu_HU.UTF-8); Felület nyelve: hu-HU
Calc: threaded

But now instead of losing the numbering they are converted to simple arabic numbers.
Comment 8 Timur 2019-09-09 11:16:36 UTC
I don't see that MSO has those national numbered lists in Number Style.
If that's correct, LO should just save as character numbering a, b, c...
Comment 9 Buovjaga 2020-06-02 15:13:02 UTC
Still repro

Arch Linux 64-bit
Version: 7.1.0.0.alpha0+
Build ID: bfbf745470cb6f99532523fdeffca061b37d8393
CPU threads: 8; OS: Linux 5.6; UI render: default; VCL: kf5
Locale: fi-FI (fi_FI.UTF-8); UI: en-US
Calc: threaded
Built on 31 May 2020
Comment 10 Timur 2021-04-08 12:38:20 UTC
*** Bug 141558 has been marked as a duplicate of this bug. ***
Comment 11 Commit Notification 2021-04-09 09:19:10 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/3236020c4b8bed68dcf57210c0437f43f4160130

tdf#97569 docxexport: export russianUpper/russianLower numbering

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Justin L 2021-04-09 09:31:05 UTC
With this fix and the patch for bug 141341, and further missing languages should be easy to fix. Marking this as an easyHack.

Tasks to do:
1.) review what gets import-converted and export-converted and see if there are any missing/different associations.  (For example, Russian numbering was already imported, but wasn't exported until comment 11's patch.)

2.) Comment 8: Change exporting unsupported alphabet numbering into upper/lowerLetter a,b,c,d,e numbering instead of decimal 1,2,3,4,5.
Comment 13 Commit Notification 2021-04-09 12:49:54 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/057d38385b7bc79c688b837416fa881050b2b370

tdf#97569 docxexport: export russianUpper/russianLower numbering

It will be available in 7.1.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Roman Kuznetsov 2021-04-11 10:54:48 UTC
(In reply to Commit Notification from comment #11)
> Justin Luth committed a patch related to this issue.
> It has been pushed to "master":
> 
> https://git.libreoffice.org/core/commit/
> 3236020c4b8bed68dcf57210c0437f43f4160130
> 
> tdf#97569 docxexport: export russianUpper/russianLower numbering
> 
> It will be available in 7.2.0.

verified RU fix in

Version: 7.2.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 13044de19d1971f2820601440ce49f218122edb8
CPU threads: 4; OS: Windows 6.1 Service Pack 1 Build 7601; UI render: Skia/Raster; VCL: win
Locale: ru-RU (ru_RU); UI: ru-RU
Calc: CL